Subject: Re: [media-types] Media type review for draft-ietf-core-links-json

From: Sean Leonard <[email-masked]>
Date: Sat, 8 Apr 2017 06:25:51 -0700

I reviewed the media type registrations requested in this draft.

They look pretty good. I have three editorial concerns:

Security considerations: If you do not want to copy and paste content 
from your RFC, then refer to the RFC specifically in your registration. 
Make this section a complete sentence if possible. For example: "See 
Section 10 of RFC XXXX" or [RFCXXXX].

Published specification: Same comments as Security Considerations.

Applications that use this media type: When you publish this 
RFC/registration, please include some examples. Hopefully it actually 
gets some use. Even without specific implementations, please describe 
the category of applications in general terms, such as "HTTP-to-CoAP 
(HC) proxies".

Regards,

Sean

On 3/15/2017 7:20 AM, Jaime Jiménez wrote:
> Hi,
>
> I’d like to request a review of the media type template on section 3.1 
> of draft-ietf-core-links-json 
> https://tools.ietf.org/html/draft-ietf-core-links-json-07#section-3.1 
> <https://tools.ietf.org/html/draft-ietf-core-http-mapping-12#section-9.2>
>
> Thanks!!!
>
> ----------- 8< -----------
>
> Type name: application
>
>     Subtype name: link-format+json
>
>     Required parameters: None
>
>     Optional parameters: None
>
>     Encoding considerations: Resources that use the "application/
>     link-format+json" media type are required to conform to the
>     "application/json" Media Type and are therefore subject to the
>     same encoding considerations specified in[RFC7159], Section 11 <https://tools.ietf.org/html/rfc7159#section-11>.
>
>     Security considerations: As defined in this specification
>
>     Published specification: This specification.
>
>     Applications that use this media type: None currently known.
>
>     Additional information:
>
>        Magic number(s): N/A
>
>        File extension(s): N/A
>
>        Macintosh file type code(s): TEXT
>
>     Person & email address to contact for further information:
>     Carsten Bormann <[email-masked] <mailto:[email-masked]>>
>
>     Intended usage: COMMON
>
>     Change controller: IESG
>
>     and
>
>     Type name: application
>
>     Subtype name: link-format+cbor
>
>     Required parameters: None
>
>     Optional parameters: None
>
>     Encoding considerations: Resources that use the "application/
>     link-format+cbor" media type are required to conform to the
>     "application/cbor" Media Type and are therefore subject to the
>     same encoding considerations specified in[RFC7049], Section 7 <https://tools.ietf.org/html/rfc7049#section-7>.
>
>     Security considerations: As defined in this specification
>
>     Published specification: This specification.
>
>     Applications that use this media type: None currently known.
>
>     Additional information:
>
>        Magic number(s): N/A
>
>        File extension(s): N/A
>
>        Macintosh file type code(s): CBOR
>
>     Person & email address to contact for further information:
>     Kepeng Li <[email-masked] <mailto:[email-masked]>>
>
>     Intended usage: COMMON
>
>     Change controller: IESG
>

---

From: Carsten Bormann <[email-masked]>
Date: Sun, 9 Apr 2017 14:27:30 +0200

Thank you, Sean.

I have generated an updated version at:

https://svn.tools.ietf.org/svn/wg/core/draft-ietf-core-links-json-xx.mkd
https://svn.tools.ietf.org/svn/wg/core/draft-ietf-core-links-json-xx.txt

See differences from reviewed version at:

https://tools.ietf.org/rfcdiff?url1=draft-ietf-core-links-json-07.txt&url2=https://svn.tools.ietf.org/svn/wg/core/draft-ietf-core-links-json-xx.txt

(Above link shortened for better mail survival: https://goo.gl/kPR6Tz )

Please indicate if further changes are appropriate.
(In particular, I am wondering about the email addresses.)

These changes (have been and) will be merged with any other changes that occur during processing of IETF last call comments.

Grüße, Carsten

> On Apr 8, 2017, at 15:25, Sean Leonard <[email-masked]> wrote:
> 
> Security considerations: If you do not want to copy and paste content from your RFC, then refer to the RFC specifically in your registration. Make this section a complete sentence if possible. For example: "See Section 10 of RFC XXXX" or [RFCXXXX].
> 
> Applications that use this media type: When you publish this RFC/registration, please include some examples. Hopefully it actually gets some use. Even without specific implementations, please describe the category of applications in general terms, such as "HTTP-to-CoAP (HC) proxies".
> 
> Regards,
> 
> Sean
> 
>> I’d like to request a review of the media type template on section 3.1 of draft-ietf-core-links-json https://tools.ietf.org/html/draft-ietf-core-links-json-07#section-3.1 <https://tools.ietf.org/html/draft-ietf-core-http-mapping-12#section-9.2>
>> 
>> Thanks!!!
>>